VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
IFocusViewObserver Class Referenceabstract
New classes » Version 4.5

focus view observer interface for CFrame More...

`#include <cframe.h>`

## Public Member Functions
virtual | ~IFocusViewObserver () noexcept=default
virtual void | onFocusViewChanged (CFrame *frame, CView *newFocusView, CView *oldFocusView)=0

## Detailed Description

focus view observer interface for CFrame

## Constructor & Destructor Documentation

## ◆ ~IFocusViewObserver()

virtual ~IFocusViewObserver | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

## ◆ onFocusViewChanged()

virtual void onFocusViewChanged | ( | CFrame * | frame,
|  | CView * | newFocusView,
|  | CView * | oldFocusView )
| pure virtual

The documentation for this class was generated from the following file:

- cframe.h